org.apache.commons.math

## Class MathConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.math.MathException
      - - org.apache.commons.math.MathConfigurationException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class MathConfigurationException
    extends MathException
    implements Serializable

Signals a configuration problem with any of the factory methods.

Version:
  $Revision: 983921 $ $Date: 2010-08-10 12:46:06 +0200 (mar. 10 août 2010) $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version identifier

### Constructor Summary

Constructors
Constructor and Description
`MathConfigurationException()` Default constructor.
`MathConfigurationException(Localizable pattern, Object... arguments)` Constructs an exception with specified formatted detail message.
`MathConfigurationException(String pattern, Object... arguments)` Constructs an exception with specified formatted detail message.
`MathConfigurationException(Throwable cause)` Create an exception with a given root cause.
`MathConfigurationException(Throwable cause, Localizable pattern, Object... arguments)` Constructs an exception with specified formatted detail message and root cause.
`MathConfigurationException(Throwable cause, String pattern, Object... arguments)` Constructs an exception with specified formatted detail message and root cause.

### Method Summary

### Methods inherited from class org.apache.commons.math.MathException

`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version identifier

See Also:
  Constant Field Values

### Constructor Detail

#### MathConfigurationException

    public MathConfigurationException()

Default constructor.

#### MathConfigurationException

    public MathConfigurationException(String pattern,
                              Object... arguments)

Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

Parameters:
  `pattern` - format specifier
  `arguments` - format arguments
Since:
  1.2

#### MathConfigurationException

    public MathConfigurationException(Localizable pattern,
                              Object... arguments)

Constructs an exception with specified formatted detail message. Message formatting is delegated to `MessageFormat`.

Parameters:
  `pattern` - format specifier
  `arguments` - format arguments
Since:
  2.2

#### MathConfigurationException

    public MathConfigurationException(Throwable cause)

Create an exception with a given root cause.

Parameters:
  `cause` - the exception or error that caused this exception to be thrown

#### MathConfigurationException

    public MathConfigurationException(Throwable cause,
                              String pattern,
                              Object... arguments)

Constructs an exception with specified formatted detail message and root cause. Message formatting is delegated to `MessageFormat`.

Parameters:
  `cause` - the exception or error that caused this exception to be thrown
  `pattern` - format specifier
  `arguments` - format arguments
Since:
  1.2

#### MathConfigurationException

    public MathConfigurationException(Throwable cause,
                              Localizable pattern,
                              Object... arguments)

Constructs an exception with specified formatted detail message and root cause. Message formatting is delegated to `MessageFormat`.

Parameters:
  `cause` - the exception or error that caused this exception to be thrown
  `pattern` - format specifier
  `arguments` - format arguments
Since:
  2.2